package com.randyflood.HelloWorld;

import android.app.Activity;
import android.os.Bundle;
import com.google.tts.TTS;   //Needed for the Text To Speech capabilities

public class RandysHelloWorld extends Activity 
{
	// This application displays "Hello World"
	// It will also speak "Hello World"
	// This requires the free Text To Speech Library, which is available in the marketplace
    // This Application will ask the user to download and install the TTS library if it is not installed
    // This depends on having the Market Application being installed.  
    // Unfortunately, the Market application is not installed in the emulator.  You can manually install it with the following command
    //
	// adb -e install tts_1.4_market.apk
    //
	// Make sure the emulator is running before you run that command.
    // I have provided tts_1.4_market.apk for your convenience. It is in the top level folder of my project.
    //
    // If you run this on an actual phone, it will prompt you to download and install the TTS library from the Marketplace
	
    
	private TTS myTts; //This object allows us to do Text To speech
	
	@Override
    public void onCreate(Bundle savedInstanceState) 
	{
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        myTts = new TTS(this, ttsInitListener, true); 
        
        // The last parameter ("true") says to display the install message
        // This will ask the user to download and install the TTS library if it is not installed
        // This depends on having the Market Application installed.  
        // It is not installed in the emulator.  You can manually install it with the following command
        // adb -e install tts_1.4_market.apk
        // Make sure the emulator is running before you run that command.
        // I have provided tts_1.4_market.apk for your convenience. It is in the top level folder of my project.
        //
        // If you run this on an actual phone, it will prompt you to download and install the TTS library from the Marketplace
        
    }
	
	private TTS.InitListener ttsInitListener = new TTS.InitListener() 
	{
		public void onInit(int version) 
		{
	        myTts.speak("Hello world", 0, null);
		}

	};
 
} //End of the RandysHelloWorld class
